From: "Andreas Sturmlechner" <asturm@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-libs/phonon/
Date: Sun, 3 Mar 2024 16:37:47 +0000 (UTC) [thread overview]
Message-ID: <1709483841.b18fa15bbb82120ea3df6700db0a4b00bd3258eb.asturm@gentoo> (raw)
commit: b18fa15bbb82120ea3df6700db0a4b00bd3258eb
Author: Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Sun Mar 3 16:04:05 2024 +0000
Commit: Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Sun Mar 3 16:37:21 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b18fa15b
media-libs/phonon: Use cmake.eclass and multibuild instead of ecm.eclass
Simultanous build of Qt5 and Qt6 is broken, installing Qt6 plugins
in Qt5 paths and vice versa.
ebuild was barely using ecm facilities anyway, this makes sure only those
deps that are needed are also used.
Closes: https://bugs.gentoo.org/923502
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>
media-libs/phonon/phonon-4.12.0-r1.ebuild | 104 ++++++++++++++++++++++++++++++
media-libs/phonon/phonon-4.12.0.ebuild | 63 ------------------
2 files changed, 104 insertions(+), 63 deletions(-)
diff --git a/media-libs/phonon/phonon-4.12.0-r1.ebuild b/media-libs/phonon/phonon-4.12.0-r1.ebuild
new file mode 100644
index 000000000000..9efc34081dc0
--- /dev/null
+++ b/media-libs/phonon/phonon-4.12.0-r1.ebuild
@@ -0,0 +1,104 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake desktop flag-o-matic kde.org multibuild
+
+DESCRIPTION="KDE multimedia abstraction library"
+HOMEPAGE="https://community.kde.org/Phonon"
+
+if [[ ${KDE_BUILD_TYPE} = release ]]; then
+ SRC_URI="mirror://kde/stable/phonon/${PV}/${P}.tar.xz"
+ KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~x86"
+fi
+
+LICENSE="|| ( LGPL-2.1 LGPL-3 ) !pulseaudio? ( || ( GPL-2 GPL-3 ) )"
+SLOT="0"
+IUSE="debug designer pulseaudio +qt5 qt6 +vlc"
+REQUIRED_USE="|| ( qt5 qt6 )"
+
+DEPEND="
+ pulseaudio? (
+ dev-libs/glib:2
+ media-libs/libpulse[glib]
+ )
+ qt5? (
+ dev-qt/qtcore:5
+ dev-qt/qtgui:5
+ dev-qt/qtwidgets:5
+ designer? ( dev-qt/designer:5 )
+ )
+ qt6? (
+ dev-qt/qt5compat:6
+ dev-qt/qtbase:6[gui,widgets]
+ designer? ( dev-qt/qttools:6[designer] )
+ )
+"
+RDEPEND="${DEPEND}
+ || (
+ kde-frameworks/breeze-icons:*
+ kde-frameworks/oxygen-icons:*
+ )
+"
+BDEPEND="
+ dev-libs/libpcre2:*
+ virtual/pkgconfig
+ qt5? (
+ dev-qt/linguist-tools:5
+ >=kde-frameworks/extra-cmake-modules-5.115.0:*
+ )
+ qt6? (
+ dev-qt/qttools:6[linguist]
+ >=kde-frameworks/extra-cmake-modules-6.0.0:*
+ )
+"
+PDEPEND="
+ vlc? ( >=media-libs/phonon-vlc-0.12.0[qt5?,qt6?] )
+"
+
+pkg_setup() {
+ MULTIBUILD_VARIANTS=( $(usev qt5) $(usev qt6) )
+}
+
+src_configure() {
+ use debug || append-cppflags -DQT_NO_DEBUG
+
+ myconfigure() {
+ local mycmakeargs=(
+ -DQT_MAJOR_VERSION=${MULTIBUILD_VARIANT/qt/}
+ -DPHONON_BUILD_${MULTIBUILD_VARIANT^^}=ON
+ -DKDE_INSTALL_USE_QT_SYS_PATHS=ON # ecm.eclass
+ -DKDE_INSTALL_DOCBUNDLEDIR="${EPREFIX}/usr/share/help" # ecm.eclass
+ -DPHONON_BUILD_DESIGNER_PLUGIN=$(usex designer)
+ -DCMAKE_DISABLE_FIND_PACKAGE_GLIB2=$(usex !pulseaudio)
+ -DCMAKE_DISABLE_FIND_PACKAGE_PulseAudio=$(usex !pulseaudio)
+ )
+
+ if [[ ${MULTIBUILD_VARIANT} == qt6 ]]; then
+ mycmakeargs+=(
+ -DPHONON_BUILD_QT5=OFF
+ -DPHONON_BUILD_SETTINGS=ON
+ )
+ else
+ mycmakeargs+=(
+ -DPHONON_BUILD_QT6=OFF
+ -DPHONON_BUILD_SETTINGS=$(usex !qt6)
+ )
+ fi
+
+ cmake_src_configure
+ }
+
+ multibuild_foreach_variant myconfigure
+}
+
+src_compile() {
+ multibuild_foreach_variant cmake_src_compile
+}
+
+src_install() {
+ multibuild_foreach_variant cmake_src_install
+ make_desktop_entry "${PN}settings" \
+ "Phonon Audio and Video" preferences-desktop-sound
+}
diff --git a/media-libs/phonon/phonon-4.12.0.ebuild b/media-libs/phonon/phonon-4.12.0.ebuild
deleted file mode 100644
index 63d504edbc32..000000000000
--- a/media-libs/phonon/phonon-4.12.0.ebuild
+++ /dev/null
@@ -1,63 +0,0 @@
-# Copyright 1999-2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-inherit desktop ecm kde.org
-
-DESCRIPTION="KDE multimedia abstraction library"
-HOMEPAGE="https://community.kde.org/Phonon"
-
-if [[ ${KDE_BUILD_TYPE} = release ]]; then
- SRC_URI="mirror://kde/stable/phonon/${PV}/${P}.tar.xz"
- KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~x86"
-fi
-
-LICENSE="|| ( LGPL-2.1 LGPL-3 ) !pulseaudio? ( || ( GPL-2 GPL-3 ) )"
-SLOT="0"
-IUSE="designer pulseaudio +qt5 qt6 +vlc"
-REQUIRED_USE="|| ( qt5 qt6 )"
-
-DEPEND="
- pulseaudio? (
- dev-libs/glib:2
- media-libs/libpulse[glib]
- )
- qt5? (
- dev-qt/qtgui:5
- dev-qt/qtwidgets:5
- designer? ( dev-qt/designer:5 )
- )
- qt6? (
- dev-qt/qt5compat:6
- dev-qt/qtbase:6[gui,widgets]
- designer? ( dev-qt/qttools:6[designer] )
- )
-"
-RDEPEND="${DEPEND}"
-BDEPEND="
- qt5? ( dev-qt/linguist-tools:5 )
- qt6? ( dev-qt/qttools:6[linguist] )
- virtual/pkgconfig
-"
-PDEPEND="
- vlc? ( >=media-libs/phonon-vlc-0.12.0[qt5?,qt6?] )
-"
-
-src_configure() {
- local mycmakeargs=(
- -DPHONON_BUILD_DESIGNER_PLUGIN=$(usex designer)
- -DCMAKE_DISABLE_FIND_PACKAGE_GLIB2=$(usex !pulseaudio)
- -DCMAKE_DISABLE_FIND_PACKAGE_PulseAudio=$(usex !pulseaudio)
- -DPHONON_BUILD_QT5=$(usex qt5)
- -DPHONON_BUILD_QT6=$(usex qt6)
- -DPHONON_BUILD_SETTINGS=ON
- )
- ecm_src_configure
-}
-
-src_install() {
- ecm_src_install
- make_desktop_entry "${PN}settings" \
- "Phonon Audio and Video" preferences-desktop-sound
-}
next reply other threads:[~2024-03-03 16:37 UTC|newest]
Thread overview: 70+ messages / expand[flat|nested] mbox.gz Atom feed top
2024-03-03 16:37 Andreas Sturmlechner [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-07-26 3:39 [gentoo-commits] repo/gentoo:master commit in: media-libs/phonon/ Arthur Zamarin
2024-07-22 18:37 Arthur Zamarin
2024-07-01 20:47 Andreas Sturmlechner
2024-06-28 15:56 Sam James
2024-06-28 15:45 Sam James
2024-06-28 15:45 Sam James
2024-06-28 13:34 Andreas Sturmlechner
2024-04-25 20:43 Andreas Sturmlechner
2024-02-02 12:44 Arthur Zamarin
2022-07-14 20:32 Andreas Sturmlechner
2019-12-03 5:04 Andreas Sturmlechner
2019-12-02 23:29 Aaron Bauman
2019-12-02 16:33 Mikle Kolyada
2019-12-02 16:12 Mikle Kolyada
2019-11-22 13:08 Andreas Sturmlechner
2019-11-22 13:08 Andreas Sturmlechner
2019-11-13 21:25 Andreas Sturmlechner
2019-09-26 13:58 Andreas Sturmlechner
2019-09-26 13:58 Andreas Sturmlechner
2019-08-27 19:59 Andreas Sturmlechner
2019-08-27 19:59 Andreas Sturmlechner
2019-08-27 19:59 Andreas Sturmlechner
2019-08-25 8:10 Andreas Sturmlechner
2019-08-22 14:16 Andreas Sturmlechner
2019-08-22 14:16 Andreas Sturmlechner
2019-08-08 22:00 Andreas Sturmlechner
2019-08-08 21:50 Andreas Sturmlechner
2019-07-20 7:43 Andreas Sturmlechner
2019-01-16 12:01 Andreas Sturmlechner
2019-01-15 22:10 Thomas Deutschmann
2019-01-14 14:33 Mikle Kolyada
2019-01-09 18:46 Andreas Sturmlechner
2018-05-25 23:58 Thomas Deutschmann
2018-05-24 14:31 Agostino Sarubbo
2018-04-27 23:05 Andreas Sturmlechner
2018-04-27 17:59 Johannes Huber
2018-03-13 19:51 Michał Górny
2018-02-24 9:48 Andreas Sturmlechner
2018-02-24 9:48 Andreas Sturmlechner
2017-12-19 14:41 Andreas Sturmlechner
2017-12-19 0:20 Andreas Sturmlechner
2017-12-19 0:20 Andreas Sturmlechner
2017-08-31 20:54 Andreas Sturmlechner
2017-08-26 19:19 Andreas Sturmlechner
2017-07-30 20:46 Andreas Sturmlechner
2017-06-24 9:11 Markus Meier
2017-06-23 11:44 Alexis Ballier
2017-06-13 12:31 Agostino Sarubbo
2017-06-04 10:42 Agostino Sarubbo
2017-06-03 7:54 Agostino Sarubbo
2017-06-02 0:38 Andreas Sturmlechner
2017-06-02 0:38 Andreas Sturmlechner
2017-01-24 17:15 Johannes Huber
2017-01-03 19:10 Johannes Huber
2016-12-29 16:23 Johannes Huber
2016-11-13 19:18 Markus Meier
2016-10-13 9:47 Agostino Sarubbo
2016-10-02 8:11 Jeroen Roovers
2016-09-27 9:09 Tobias Klausmann
2016-07-22 17:40 Michael Palimaka
2016-07-13 18:13 Michael Palimaka
2016-07-13 17:25 Michael Palimaka
2016-07-11 7:57 Johannes Huber
2016-05-31 17:21 Johannes Huber
2016-04-24 12:26 Johannes Huber
2016-04-21 17:15 Michael Palimaka
2016-04-21 17:15 Michael Palimaka
2016-04-21 17:15 Michael Palimaka
2016-04-21 17:15 Michael Palimaka
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1709483841.b18fa15bbb82120ea3df6700db0a4b00bd3258eb.asturm@gentoo \
--to=asturm@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox